[SciPy-user] No module named _umfpack

Robert Cimrman cimrman3 at ntc.zcu.cz
Tue Apr 18 07:35:57 CDT 2006


Darren Dale wrote:
> On Tuesday 18 April 2006 04:03, Robert Cimrman wrote:
> 
>>UMFPACK is optional, and it is not included in the scipy SVN, so you
>>have to install it yourself from Tim Davis' homepage if you want (the
>>version 4.4). Then just add [amd] and [umfpack] sections to your
>>site.cfg, as it is described in numpy/site.cfg.example
> 
> 
> For any gentoo users out there, a umfpack ebuild is available here: 
> http://gentooscience.org/browser/overlay/sci-libs/umfpack.
> 
> I was able to build scipy with umfpack support on an 64bit Athlon machine 
> using this ebuild, which provides version 4.6 with support to build shared 
> libraries. No changes to site.cfg were necessary.
> 
> scipy.test() and scipy.linsolve.umfpack.test() were both successful.

great news! I will try it immediately :)

r.



More information about the SciPy-user mailing list